English

Error: Tool has failed to open 'interop.QuickExport'

Error Message

When using the Quick Export tool from the Data Interoperability extension in ArcGIS Pro, the process fails, returning the following error message:

Error:
Tool has failed to open 

'interop.QuickExport'
The Quick Export tool pane with the error message

The Quick Export tool fails to open even though the Data Interoperability license is available in ArcGIS Pro.

The Licensing page in ArcGIS Pro
Note:
The Data Interoperability license is required to use the Data Interoperability extension. Refer to ArcGIS Pro: What is the ArcGIS Data Interoperability extension for Desktop?  for more information.

Cause

The Data Interoperability extension is not installed on ArcGIS Pro. Authorizing the Data Interoperability extension with a valid license does not install the extension on ArcGIS Pro.

Solution or Workaround

  1. Open any one of the supported browsers, and navigate to My Esri.
  2. Sign in with an Esri account. If already signed in, proceed to Step 3.
  3. On the My Esri homepage, click the My Organizations tab.
The My Esri homepage
  1. Click Downloads on the My Organizations tab.
Note:
The Downloads sub-tab is available if the Esri account is connected to an organization. If the account is not connected to an organization, click Request permission to your organization from the My Organizations tab to notify the organization administrator. Refer to How to Connect Your Customer Number to Your Organization for more information.
The My Organizations tab in My Esri
  1. Select the Current Versions tab to view the latest product versions in the list of available products.
  2. Under Core Products, next to ArcGIS Pro, click View Downloads.
My Esri Products page
Note:
Click the All Versions tab to select and download older versions of a software.
  1. On the Download Components tab, under Product Components, search for ArcGIS Data Interoperability for Pro, and click Download under the Action column.
The My Esri ArcGIS Pro products Downloads page
  1. Run the installation wizard when the download is complete. Refer to ArcGIS Pro: Installing the ArcGIS Data Interoperability extension for more information.

Related Information

Last Published: 9/20/2021

Article ID: 000026319

Software: ArcGIS Pro 2.8.3, 2.8.2, 2.8.1, 2.8, 2.7.4, 2.7.3, 2.7.2, 2.7.1, 2.7, 2.6.7, 2.6.6, 2.6.5, 2.6.4, 2.6.3, 2.6.2, 2.6.1, 2.6